package com.baofoo.SMUtil.Util;

import java.io.*;

/**
 * 文件解析
 * @author ximenchuixue
 * @since 2020/9/16
 */
public class FileParser {

    public static byte[] parse(String filePath) throws CryptoException{
        if (null == filePath || "".equals(filePath)){
            throw new NullPointerException("文件路径不能为空");
        }
        FileInputStream fis = null;
        try {
            fis = new FileInputStream(filePath);
            byte[] bytes = new byte[fis.available()];
            fis.read(bytes);
            return bytes;
        } catch (IOException e){
            throw new CryptoException("文件解析异常", e);
        } finally {
            if (null != fis){
                try {
                    fis.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
    }
}
